Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Tejun Heo <[email-masked]>
Date: Wed, 12 Mar 2014 16:02:32 -0400

On Thu, Mar 13, 2014 at 06:59:56AM +1100, Benjamin Herrenschmidt wrote:
> Either that or I can put a copy of the patch that introduces the new
> function in my tree as long as it's a single patch. The resulting
> conflict should resolve trivially and Linus should be fine if
> appropriate explanations are provided (though I would have preferred
> pulling in a topic branch).

An alternative that I personally prefer to resolve conflicts like this
is to pull driver-core-next into the broken tree and resolve it there.
It's highly likely that the pending changes are gonna be included in
the next merge window.  If contaminating the merge history is a
concern, it can live in a separate branch which is pulled into
for-next.

Thanks.

-- 
tejun